Back to top

API Documentation

< Back

Kuali Research REST APIs - Proposal Development

Research Proposal Development

Abstract Types

Get Abstract Types by Key
GET/propdev/api/v1/abstract-types/(key)

Example URI

GET /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Abstract Types with Filtering
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
code
string (optional) 

Abstract Type. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "code",
    "description"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Abstract Types
GET/propdev/api/v1/abstract-types/

Example URI

GET /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Abstract Types.md"
transfer-encoding: chunked

Update Abstract Types
PUT/propdev/api/v1/abstract-types/(key)

Example URI

PUT /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Abstract Types
PUT/propdev/api/v1/abstract-types/

Example URI

PUT /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Abstract Types
PATCH/propdev/api/v1/abstract-types/(key)

Example URI

PATCH /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Abstract Types
POST/propdev/api/v1/abstract-types/

Example URI

POST /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "code": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Abstract Types
POST/propdev/api/v1/abstract-types/

Example URI

POST /propdev/api/v1/abstract-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Abstract Types by Key
DELETE/propdev/api/v1/abstract-types/(key)

Example URI

DELETE /propdev/api/v1/abstract-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Abstract Types
DELETE/propdev/api/v1/abstract-types/

Example URI

DELETE /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Abstract Types with Matching
DELETE/propdev/api/v1/abstract-types/

Example URI

DELETE /propdev/api/v1/abstract-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

code
string (optional) 

Abstract Type. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Changed Data

Get Budget Changed Data by Key
GET/propdev/api/v1/budget-changed-data/(key)

Example URI

GET /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Changed Data with Filtering
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
changeNumber
string (optional) 

Change Number. Maximum length is 3.

columnName
string (optional) 

Field. Maximum length is 30.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

changedValue
string (optional) 

Changed Value. Maximum length is 200.

comments
string (optional) 

Comments. Maximum length is 300.

displayValue
string (optional) 

Display Value. Maximum length is 200.

oldDisplayValue
string (optional) 

Old Display Value. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "changeNumber",
    "columnName",
    "proposalNumber",
    "changedValue",
    "comments",
    "displayValue",
    "oldDisplayValue"
  ],
  "primaryKey": "changeNumber:columnName:proposalNumber"
}

Get Blueprint API specification for Budget Changed Data
GET/propdev/api/v1/budget-changed-data/

Example URI

GET /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Changed Data.md"
transfer-encoding: chunked

Update Budget Changed Data
PUT/propdev/api/v1/budget-changed-data/(key)

Example URI

PUT /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Changed Data
PUT/propdev/api/v1/budget-changed-data/

Example URI

PUT /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Changed Data
PATCH/propdev/api/v1/budget-changed-data/(key)

Example URI

PATCH /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Changed Data
POST/propdev/api/v1/budget-changed-data/

Example URI

POST /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "changeNumber": "(val)",
  "columnName": "(val)",
  "proposalNumber": "(val)",
  "changedValue": "(val)",
  "comments": "(val)",
  "displayValue": "(val)",
  "oldDisplayValue": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Changed Data
POST/propdev/api/v1/budget-changed-data/

Example URI

POST /propdev/api/v1/budget-changed-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "changeNumber": "(val)",
    "columnName": "(val)",
    "proposalNumber": "(val)",
    "changedValue": "(val)",
    "comments": "(val)",
    "displayValue": "(val)",
    "oldDisplayValue": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Changed Data by Key
DELETE/propdev/api/v1/budget-changed-data/(key)

Example URI

DELETE /propdev/api/v1/budget-changed-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Changed Data
DELETE/propdev/api/v1/budget-changed-data/

Example URI

DELETE /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Changed Data with Matching
DELETE/propdev/api/v1/budget-changed-data/

Example URI

DELETE /propdev/api/v1/budget-changed-data/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

changeNumber
string (optional) 

Change Number. Maximum length is 3.

columnName
string (optional) 

Field. Maximum length is 30.

proposalNumber
string (optional) 

Proposal Number. Maximum length is 8.

changedValue
string (optional) 

Changed Value. Maximum length is 200.

comments
string (optional) 

Comments. Maximum length is 300.

displayValue
string (optional) 

Display Value. Maximum length is 200.

oldDisplayValue
string (optional) 

Old Display Value. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Columns To Alter

Get Budget Columns To Alter by Key
GET/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

GET /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Columns To Alter with Filtering
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
columnName
string (optional) 

Column Name. Maximum length is 30.

columnLabel
string (optional) 

Column Label. Maximum length is 30.

dataLength
string (optional) 

Data Length. Maximum length is 4.

dataType
string (optional) 

Data Type. Maximum length is 9.

hasLookup
string (optional) 

Has Lookup. Maximum length is 1.

lookupClass
string (optional) 

Lookup Argument. Maximum length is 100.

lookupReturn
string (optional) 

Lookup Return. Maximum length is 50.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "columnName",
    "columnLabel",
    "dataLength",
    "dataType",
    "hasLookup",
    "lookupClass",
    "lookupReturn"
  ],
  "primaryKey": "columnName"
}

Get Blueprint API specification for Budget Columns To Alter
GET/propdev/api/v1/budget-columns-to-alter/

Example URI

GET /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Columns To Alter.md"
transfer-encoding: chunked

Update Budget Columns To Alter
PUT/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

PUT /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Columns To Alter
PUT/propdev/api/v1/budget-columns-to-alter/

Example URI

PUT /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Columns To Alter
PATCH/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

PATCH /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Columns To Alter
POST/propdev/api/v1/budget-columns-to-alter/

Example URI

POST /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "columnName": "(val)",
  "columnLabel": "(val)",
  "dataLength": "(val)",
  "dataType": "(val)",
  "hasLookup": "(val)",
  "lookupClass": "(val)",
  "lookupReturn": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Columns To Alter
POST/propdev/api/v1/budget-columns-to-alter/

Example URI

POST /propdev/api/v1/budget-columns-to-alter/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "columnName": "(val)",
    "columnLabel": "(val)",
    "dataLength": "(val)",
    "dataType": "(val)",
    "hasLookup": "(val)",
    "lookupClass": "(val)",
    "lookupReturn": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Columns To Alter by Key
DELETE/propdev/api/v1/budget-columns-to-alter/(key)

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Columns To Alter
DELETE/propdev/api/v1/budget-columns-to-alter/

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Columns To Alter with Matching
DELETE/propdev/api/v1/budget-columns-to-alter/

Example URI

DELETE /propdev/api/v1/budget-columns-to-alter/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

columnName
string (optional) 

Column Name. Maximum length is 30.

columnLabel
string (optional) 

Column Label. Maximum length is 30.

dataLength
string (optional) 

Data Length. Maximum length is 4.

dataType
string (optional) 

Data Type. Maximum length is 9.

hasLookup
string (optional) 

Has Lookup. Maximum length is 1.

lookupClass
string (optional) 

Lookup Argument. Maximum length is 100.

lookupReturn
string (optional) 

Lookup Return. Maximum length is 50.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Statuses

Get Budget Statuses by Key
GET/propdev/api/v1/budget-statuses/(key)

Example URI

GET /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Statuses with Filtering
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
budgetStatusCode
string (optional) 

Budget Status Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetStatusCode",
    "description"
  ],
  "primaryKey": "budgetStatusCode"
}

Get Blueprint API specification for Budget Statuses
GET/propdev/api/v1/budget-statuses/

Example URI

GET /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Statuses.md"
transfer-encoding: chunked

Update Budget Statuses
PUT/propdev/api/v1/budget-statuses/(key)

Example URI

PUT /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Statuses
PUT/propdev/api/v1/budget-statuses/

Example URI

PUT /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Statuses
PATCH/propdev/api/v1/budget-statuses/(key)

Example URI

PATCH /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Statuses
POST/propdev/api/v1/budget-statuses/

Example URI

POST /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "budgetStatusCode": "(val)",
  "description": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Statuses
POST/propdev/api/v1/budget-statuses/

Example URI

POST /propdev/api/v1/budget-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetStatusCode": "(val)",
    "description": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Statuses by Key
DELETE/propdev/api/v1/budget-statuses/(key)

Example URI

DELETE /propdev/api/v1/budget-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Statuses
DELETE/propdev/api/v1/budget-statuses/

Example URI

DELETE /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Statuses with Matching
DELETE/propdev/api/v1/budget-statuses/

Example URI

DELETE /propdev/api/v1/budget-statuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetStatusCode
string (optional) 

Budget Status Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Sub Award Attachments

Get Budget Sub Award Attachments by Key
GET/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Attachments with Filtering
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
data
string (optional) 
name
string (optional) 
type
string (optional) 
id
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "data",
    "name",
    "type",
    "id"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Budget Sub Award Attachments
GET/propdev/api/v1/budget-sub-award-attachments/

Example URI

GET /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Attachments.md"
transfer-encoding: chunked

Update Budget Sub Award Attachments
PUT/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Attachments
PUT/propdev/api/v1/budget-sub-award-attachments/

Example URI

PUT /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Attachments
PATCH/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Attachments
POST/propdev/api/v1/budget-sub-award-attachments/

Example URI

POST /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "data": "(val)",
  "name": "(val)",
  "type": "(val)",
  "id": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Attachments
POST/propdev/api/v1/budget-sub-award-attachments/

Example URI

POST /propdev/api/v1/budget-sub-award-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "data": "(val)",
    "name": "(val)",
    "type": "(val)",
    "id": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Attachments by Key
DELETE/propdev/api/v1/budget-sub-award-attachments/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Attachments
DELETE/propdev/api/v1/budget-sub-award-attachments/

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Attachments with Matching
DELETE/propdev/api/v1/budget-sub-award-attachments/

Example URI

DELETE /propdev/api/v1/budget-sub-award-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

data
string (optional) 
name
string (optional) 
type
string (optional) 
id
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Sub Award Files

Get Budget Sub Award Files by Key
GET/propdev/api/v1/budget-sub-award-files/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Files with Filtering
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
subAwardXfdFileData
string (optional) 

Sub Award Xfd File Data.

subAwardXfdFileName
string (optional) 

Sub Award Xfd File Name.

subAwardXmlFileData
string (optional) 

Sub Award Xml File Data.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "subAwardXfdFileData",
    "subAwardXfdFileName",
    "subAwardXmlFileData"
  ],
  "primaryKey": "budgetSubAward"
}

Get Blueprint API specification for Budget Sub Award Files
GET/propdev/api/v1/budget-sub-award-files/

Example URI

GET /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Files.md"
transfer-encoding: chunked

Update Budget Sub Award Files
PUT/propdev/api/v1/budget-sub-award-files/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Files
PUT/propdev/api/v1/budget-sub-award-files/

Example URI

PUT /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Files
PATCH/propdev/api/v1/budget-sub-award-files/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Files
POST/propdev/api/v1/budget-sub-award-files/

Example URI

POST /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "subAwardXfdFileData": "(val)",
  "subAwardXfdFileName": "(val)",
  "subAwardXmlFileData": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Files
POST/propdev/api/v1/budget-sub-award-files/

Example URI

POST /propdev/api/v1/budget-sub-award-files/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "subAwardXfdFileData": "(val)",
    "subAwardXfdFileName": "(val)",
    "subAwardXmlFileData": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Files by Key
DELETE/propdev/api/v1/budget-sub-award-files/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Files
DELETE/propdev/api/v1/budget-sub-award-files/

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Files with Matching
DELETE/propdev/api/v1/budget-sub-award-files/

Example URI

DELETE /propdev/api/v1/budget-sub-award-files/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

subAwardXfdFileData
string (optional) 

Sub Award Xfd File Data.

subAwardXfdFileName
string (optional) 

Sub Award Xfd File Name.

subAwardXmlFileData
string (optional) 

Sub Award Xml File Data.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Sub Award Period Details

Get Budget Sub Award Period Details by Key
GET/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Award Period Details with Filtering
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
id
string (optional) 

id. Maximum length is 3.

budgetPeriod
string (optional) 

Budget Period. Maximum length is 3.

directCost
string (optional) 

Direct Cost. Maximum length is 15.

indirectCost
string (optional) 

F&A Cost. Maximum length is 15.

costShare
string (optional) 

Cost Sharing. Maximum length is 15.

totalCost
string (optional) 

Total Cost. Maximum length is 15.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "budgetPeriod",
    "directCost",
    "indirectCost",
    "costShare",
    "totalCost",
    "subAwardNumber"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Budget Sub Award Period Details
GET/propdev/api/v1/budget-sub-award-period-details/

Example URI

GET /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Period Details.md"
transfer-encoding: chunked

Update Budget Sub Award Period Details
PUT/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

PUT /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Award Period Details
PUT/propdev/api/v1/budget-sub-award-period-details/

Example URI

PUT /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Award Period Details
PATCH/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Award Period Details
POST/propdev/api/v1/budget-sub-award-period-details/

Example URI

POST /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "budgetPeriod": "(val)",
  "directCost": "(val)",
  "indirectCost": "(val)",
  "costShare": "(val)",
  "totalCost": "(val)",
  "subAwardNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Award Period Details
POST/propdev/api/v1/budget-sub-award-period-details/

Example URI

POST /propdev/api/v1/budget-sub-award-period-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "budgetPeriod": "(val)",
    "directCost": "(val)",
    "indirectCost": "(val)",
    "costShare": "(val)",
    "totalCost": "(val)",
    "subAwardNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Award Period Details by Key
DELETE/propdev/api/v1/budget-sub-award-period-details/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Period Details
DELETE/propdev/api/v1/budget-sub-award-period-details/

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Award Period Details with Matching
DELETE/propdev/api/v1/budget-sub-award-period-details/

Example URI

DELETE /propdev/api/v1/budget-sub-award-period-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

id. Maximum length is 3.

budgetPeriod
string (optional) 

Budget Period. Maximum length is 3.

directCost
string (optional) 

Direct Cost. Maximum length is 15.

indirectCost
string (optional) 

F&A Cost. Maximum length is 15.

costShare
string (optional) 

Cost Sharing. Maximum length is 15.

totalCost
string (optional) 

Total Cost. Maximum length is 15.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Budget Sub Awards

Get Budget Sub Awards by Key
GET/propdev/api/v1/budget-sub-awards/(key)

Example URI

GET /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Get All Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Budget Sub Awards with Filtering
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
budgetId
string (optional) 

Budget Id.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3.

comments
string (optional) 

Comments. Maximum length is 2000.

organizationId
string (optional) 

Organization Id. Maximum length is 8.

subAwardStatusCode
string (optional) 

Subaward Status Code. Maximum length is 3.

fileDataId
string (optional) 

File Data Id.

subAwardXfdFileName
string (optional) 

Subaward PDF File Name. Maximum length is 256.

xmlDataId
string (optional) 

Xml Data Id.

translationComments
string (optional) 

Translation Comments. Maximum length is 2000.

xfdUpdateTimestamp
string (optional) 

This attribute should always be overriden on the descriptive elements. Maximum length is 21.

xfdUpdateUser
string (optional) 

xfdUpdateUser. Maximum length is 60.

xmlUpdateTimestamp
string (optional) 

This attribute should always be overriden on the descriptive elements. Maximum length is 21.

xmlUpdateUser
string (optional) 

xmlUpdateUser. Maximum length is 60.

namespace
string (optional) 

Namespace. Maximum length is 200.

formName
string (optional) 

Form Name. Maximum length is 100.

hierarchyProposalNumber
string (optional) 

Hierarchy Proposal Number.

hiddenInHierarchy
string (optional) 

Hidden In Hierarchy.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetId",
    "subAwardNumber",
    "comments",
    "organizationId",
    "subAwardStatusCode",
    "fileDataId",
    "subAwardXfdFileName",
    "xmlDataId",
    "translationComments",
    "xfdUpdateTimestamp",
    "xfdUpdateUser",
    "xmlUpdateTimestamp",
    "xmlUpdateUser",
    "namespace",
    "formName",
    "hierarchyProposalNumber",
    "hiddenInHierarchy"
  ],
  "primaryKey": "budget:subAwardNumber"
}

Get Blueprint API specification for Budget Sub Awards
GET/propdev/api/v1/budget-sub-awards/

Example URI

GET /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Awards.md"
transfer-encoding: chunked

Update Budget Sub Awards
PUT/propdev/api/v1/budget-sub-awards/(key)

Example URI

PUT /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Budget Sub Awards
PUT/propdev/api/v1/budget-sub-awards/

Example URI

PUT /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Budget Sub Awards
PATCH/propdev/api/v1/budget-sub-awards/(key)

Example URI

PATCH /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Insert Budget Sub Awards
POST/propdev/api/v1/budget-sub-awards/

Example URI

POST /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "budgetId": "(val)",
  "subAwardNumber": "(val)",
  "comments": "(val)",
  "organizationId": "(val)",
  "subAwardStatusCode": "(val)",
  "fileDataId": "(val)",
  "subAwardXfdFileName": "(val)",
  "xmlDataId": "(val)",
  "translationComments": "(val)",
  "xfdUpdateTimestamp": "(val)",
  "xfdUpdateUser": "(val)",
  "xmlUpdateTimestamp": "(val)",
  "xmlUpdateUser": "(val)",
  "namespace": "(val)",
  "formName": "(val)",
  "hierarchyProposalNumber": "(val)",
  "hiddenInHierarchy": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Budget Sub Awards
POST/propdev/api/v1/budget-sub-awards/

Example URI

POST /propdev/api/v1/budget-sub-awards/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetId": "(val)",
    "subAwardNumber": "(val)",
    "comments": "(val)",
    "organizationId": "(val)",
    "subAwardStatusCode": "(val)",
    "fileDataId": "(val)",
    "subAwardXfdFileName": "(val)",
    "xmlDataId": "(val)",
    "translationComments": "(val)",
    "xfdUpdateTimestamp": "(val)",
    "xfdUpdateUser": "(val)",
    "xmlUpdateTimestamp": "(val)",
    "xmlUpdateUser": "(val)",
    "namespace": "(val)",
    "formName": "(val)",
    "hierarchyProposalNumber": "(val)",
    "hiddenInHierarchy": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Budget Sub Awards by Key
DELETE/propdev/api/v1/budget-sub-awards/(key)

Example URI

DELETE /propdev/api/v1/budget-sub-awards/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Awards
DELETE/propdev/api/v1/budget-sub-awards/

Example URI

DELETE /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Budget Sub Awards with Matching
DELETE/propdev/api/v1/budget-sub-awards/

Example URI

DELETE /propdev/api/v1/budget-sub-awards/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

budgetId
string (optional) 

Budget Id.

subAwardNumber
string (optional) 

subAwardNumber. Maximum length is 3.

comments
string (optional) 

Comments. Maximum length is 2000.

organizationId
string (optional) 

Organization Id. Maximum length is 8.

subAwardStatusCode
string (optional) 

Subaward Status Code. Maximum length is 3.

fileDataId
string (optional) 

File Data Id.

subAwardXfdFileName
string (optional) 

Subaward PDF File Name. Maximum length is 256.

xmlDataId
string (optional) 

Xml Data Id.

translationComments
string (optional) 

Translation Comments. Maximum length is 2000.

xfdUpdateTimestamp
string (optional) 

This attribute should always be overriden on the descriptive elements. Maximum length is 21.

xfdUpdateUser
string (optional) 

xfdUpdateUser. Maximum length is 60.

xmlUpdateTimestamp
string (optional) 

This attribute should always be overriden on the descriptive elements. Maximum length is 21.

xmlUpdateUser
string (optional) 

xmlUpdateUser. Maximum length is 60.

namespace
string (optional) 

Namespace. Maximum length is 200.

formName
string (optional) 

Form Name. Maximum length is 100.

hierarchyProposalNumber
string (optional) 

Hierarchy Proposal Number.

hiddenInHierarchy
string (optional) 

Hidden In Hierarchy.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Congressional Districts

Get Congressional Districts by Key
GET/propdev/api/v1/congressional-districts/(key)

Example URI

GET /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Get All Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Congressional Districts with Filtering
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
id
string (optional) 

Id.

congressionalDistrict
string (optional) 

State code plus congressional district number. Maximum length is 50.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "congressionalDistrict"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Congressional Districts
GET/propdev/api/v1/congressional-districts/

Example URI

GET /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Congressional Districts.md"
transfer-encoding: chunked

Update Congressional Districts
PUT/propdev/api/v1/congressional-districts/(key)

Example URI

PUT /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Congressional Districts
PUT/propdev/api/v1/congressional-districts/

Example URI

PUT /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Congressional Districts
PATCH/propdev/api/v1/congressional-districts/(key)

Example URI

PATCH /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Insert Congressional Districts
POST/propdev/api/v1/congressional-districts/

Example URI

POST /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "congressionalDistrict": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Congressional Districts
POST/propdev/api/v1/congressional-districts/

Example URI

POST /propdev/api/v1/congressional-districts/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "congressionalDistrict": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Congressional Districts by Key
DELETE/propdev/api/v1/congressional-districts/(key)

Example URI

DELETE /propdev/api/v1/congressional-districts/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Congressional Districts
DELETE/propdev/api/v1/congressional-districts/

Example URI

DELETE /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Congressional Districts with Matching
DELETE/propdev/api/v1/congressional-districts/

Example URI

DELETE /propdev/api/v1/congressional-districts/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id.

congressionalDistrict
string (optional) 

State code plus congressional district number. Maximum length is 50.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Development Proposals

Get Development Proposals by Key
GET/propdev/api/v1/development-proposals/(key)

Example URI

GET /propdev/api/v1/development-proposals/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "proposalNumber": "(val)",
  "proposalTypeCode": "(val)",
  "continuedFrom": "(val)",
  "sponsorCode": "(val)",
  "activityTypeCode": "(val)",
  "ownedByUnitNumber": "(val)",
  "requestedStartDateInitial": "(val)",
  "requestedEndDateInitial": "(val)",
  "title": "(val)",
  "currentAwardNumber": "(val)",
  "deadlineDate": "(val)",
  "deadlineTime": "(val)",
  "noticeOfOpportunityCode": "(val)",
  "deadlineType": "(val)",
  "anticipatedAwardTypeCode": "(val)",
  "cfdaNumber": "(val)",
  "programAnnouncementNumber": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorProposalNumber": "(val)",
  "nsfSequenceNumber": "(val)",
  "subcontracts": "(val)",
  "agencyDivisionCode": "(val)",
  "agencyProgramCode": "(val)",
  "programAnnouncementTitle": "(val)",
  "mailBy": "(val)",
  "mailType": "(val)",
  "mailAccountNumber": "(val)",
  "mailDescription": "(val)",
  "mailingAddressId": "(val)",
  "numberOfCopies": "(val)",
  "proposalStateTypeCode": "(val)",
  "creationStatusCode": "(val)",
  "submitFlag": "(val)",
  "hierarchyStatus": "(val)",
  "hierarchyOriginatingChildProposalNumber": "(val)",
  "hierarchyParentProposalNumber": "(val)",
  "hierarchyLastSyncHashCode": "(val)",
  "hierarchyBudgetType": "(val)",
  "proposalNumberForGG": "(val)",
  "opportunityIdForGG": "(val)",
  "agencyRoutingIdentifier": "(val)",
  "prevGrantsGovTrackingID": "(val)",
  "createTimestamp": "(val)",
  "createUser": "(val)",
  "_primaryKey": "(val)"
}

Get All Development Proposals
GET/propdev/api/v1/development-proposals/

Example URI

GET /propdev/api/v1/development-proposals/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalNumber": "(val)",
    "proposalTypeCode": "(val)",
    "continuedFrom": "(val)",
    "sponsorCode": "(val)",
    "activityTypeCode": "(val)",
    "ownedByUnitNumber": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedEndDateInitial": "(val)",
    "title": "(val)",
    "currentAwardNumber": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "deadlineType": "(val)",
    "anticipatedAwardTypeCode": "(val)",
    "cfdaNumber": "(val)",
    "programAnnouncementNumber": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorProposalNumber": "(val)",
    "nsfSequenceNumber": "(val)",
    "subcontracts": "(val)",
    "agencyDivisionCode": "(val)",
    "agencyProgramCode": "(val)",
    "programAnnouncementTitle": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "mailingAddressId": "(val)",
    "numberOfCopies": "(val)",
    "proposalStateTypeCode": "(val)",
    "creationStatusCode": "(val)",
    "submitFlag": "(val)",
    "hierarchyStatus": "(val)",
    "hierarchyOriginatingChildProposalNumber": "(val)",
    "hierarchyParentProposalNumber": "(val)",
    "hierarchyLastSyncHashCode": "(val)",
    "hierarchyBudgetType": "(val)",
    "proposalNumberForGG": "(val)",
    "opportunityIdForGG": "(val)",
    "agencyRoutingIdentifier": "(val)",
    "prevGrantsGovTrackingID": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalNumber": "(val)",
    "proposalTypeCode": "(val)",
    "continuedFrom": "(val)",
    "sponsorCode": "(val)",
    "activityTypeCode": "(val)",
    "ownedByUnitNumber": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedEndDateInitial": "(val)",
    "title": "(val)",
    "currentAwardNumber": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "deadlineType": "(val)",
    "anticipatedAwardTypeCode": "(val)",
    "cfdaNumber": "(val)",
    "programAnnouncementNumber": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorProposalNumber": "(val)",
    "nsfSequenceNumber": "(val)",
    "subcontracts": "(val)",
    "agencyDivisionCode": "(val)",
    "agencyProgramCode": "(val)",
    "programAnnouncementTitle": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "mailingAddressId": "(val)",
    "numberOfCopies": "(val)",
    "proposalStateTypeCode": "(val)",
    "creationStatusCode": "(val)",
    "submitFlag": "(val)",
    "hierarchyStatus": "(val)",
    "hierarchyOriginatingChildProposalNumber": "(val)",
    "hierarchyParentProposalNumber": "(val)",
    "hierarchyLastSyncHashCode": "(val)",
    "hierarchyBudgetType": "(val)",
    "proposalNumberForGG": "(val)",
    "opportunityIdForGG": "(val)",
    "agencyRoutingIdentifier": "(val)",
    "prevGrantsGovTrackingID": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Development Proposals with Filtering
GET/propdev/api/v1/development-proposals/

Example URI

GET /propdev/api/v1/development-proposals/
URI Parameters
HideShow
proposalNumber
string (optional) 

The unique proposal number identifying a proposal. This is a system generated, sequential number. Maximum length is 12.

proposalTypeCode
string (optional) 

The type of the proposal. Maximum length is 3.

continuedFrom
string (optional) 

A unique institutionally assigned proposal number of a previously submitted proposal. This is applicable when submitting a revised (changed/corrected) application. Maximum length is 8.

sponsorCode
string (optional) 

The identification number of the organization or agency that is providing support for the sponsored project. Maximum length is 6.

activityTypeCode
string (optional) 

The type of activity proposed, e.g. organized research, instruction, etc. Maximum length is 3.

ownedByUnitNumber
string (optional) 

Unit Number. Maximum length is 8.

requestedStartDateInitial
string (optional) 

The date the project period will begin. Maximum length is 10.

requestedEndDateInitial
string (optional) 

The date the project period will terminate. Maximum length is 10.

title
string (optional) 

The proposed title of the project. Maximum length is 200.

currentAwardNumber
string (optional) 

A unique institutionally assigned number of a previously funded application. Maximum length is 12.

deadlineDate
string (optional) 

The date in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 21.

deadlineTime
string (optional) 

The time in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 15.

noticeOfOpportunityCode
string (optional) 

Indicates if the proposal was in response to a solicitation, the type of solicitation or if it is unsolicited. Maximum length is 3.

deadlineType
string (optional) 

Indicates the type of proposal deadline. Maximum length is 3.

anticipatedAwardTypeCode
string (optional) 

Anticipated Award Type. Maximum length is 3.

cfdaNumber
string (optional) 

A unique identifier for the sponsor and the funding opportunity announcement. AKA “Catalogue of Federal Domestic Assistance Number.” The format for this CFDA Number is XX.XXX. Maximum length is 7.

programAnnouncementNumber
string (optional) 

A unique identifier associated with each sponsor’s funding opportunity announcement. AKA “Funding Opportunity Announcement number” or “FOA number”. Maximum length is 50.

primeSponsorCode
string (optional) 

The sponsor that provides the original source of project funding. Maximum length is 6.

sponsorProposalNumber
string (optional) 

The unique identifier assigned by the sponsor when the proposal was submitted. Maximum length is 70.

nsfSequenceNumber
string (optional) 

A number used to indicate the type of research activity as defined by the National Science Foundation. NSF codes are not specific for NSF proposals and/or awards. Maximum length is 12.

subcontracts
string (optional) 

The proposal will include a sub award with another institution. Maximum length is 1.

agencyDivisionCode
string (optional) 

A code that is unique to each NSF division. Currently specific to the NSF only. Maximum length is 50.

agencyProgramCode
string (optional) 

A code that is unique to each NSF program. Currently specific to the NSF only. Maximum length is 50.

programAnnouncementTitle
string (optional) 

The title of a publicly available document, announcing a federal agency’s intentions to award discretionary grants or cooperative agreements, usually as a result of competition for funds. AKA Funding opportunity announcements, notices of funding availability, or solicitations. Maximum length is 255.

mailBy
string (optional) 

This field determines whether the Sponsored Programs Office or the department will be mailing the proposal to the agency/sponsor. Maximum length is 3.

mailType
string (optional) 

The method by which the proposal will be delivered to the agency/sponsor. Maximum length is 1.

mailAccountNumber
string (optional) 

The internal school account number that should be charged the mailing costs. Maximum length is 7.

mailDescription
string (optional) 

Any information that will assist in the delivery of the proposal. Maximum length is 80.

mailingAddressId
string (optional) 

The name and address to whom the proposal will be mailed. Maximum length is 6.

numberOfCopies
string (optional) 

The number of paper copies of the proposal that should be mailed to the agency/sponsor. Maximum length is 2.

proposalStateTypeCode
string (optional) 

The Proposal State for this Proposal Development Document. Maximum length is 3.

creationStatusCode
string (optional) 

Creation Status Code.

submitFlag
string (optional) 

Submit Flag.

hierarchyStatus
string (optional) 

The status of the proposal in a hierarchy. Maximum length is 3.

hierarchyOriginatingChildProposalNumber
string (optional) 

Hierarchy Originating Child Proposal Number.

hierarchyParentProposalNumber
string (optional) 

Hierarchy Parent Proposal Number.

hierarchyLastSyncHashCode
string (optional) 

Hierarchy Last Sync Hash Code.

hierarchyBudgetType
string (optional) 

The type of the budget for this proposal in a hierarchy. Maximum length is 3.

proposalNumberForGG
string (optional) 

Grants.gov Opportunity. Maximum length is 12.

opportunityIdForGG
string (optional) 

Grants.gov Opportunity. Maximum length is 50.

agencyRoutingIdentifier
string (optional) 

The Agency Routing Identifier. Maximum length is 50.

prevGrantsGovTrackingID
string (optional) 

Prev Grants.Gov Tracking ID. Maximum length is 50.

createTimestamp
string (optional) 

Proposal Create Date. Maximum length is 21.

createUser
string (optional) 

Create User.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "proposalNumber": "(val)",
    "proposalTypeCode": "(val)",
    "continuedFrom": "(val)",
    "sponsorCode": "(val)",
    "activityTypeCode": "(val)",
    "ownedByUnitNumber": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedEndDateInitial": "(val)",
    "title": "(val)",
    "currentAwardNumber": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "deadlineType": "(val)",
    "anticipatedAwardTypeCode": "(val)",
    "cfdaNumber": "(val)",
    "programAnnouncementNumber": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorProposalNumber": "(val)",
    "nsfSequenceNumber": "(val)",
    "subcontracts": "(val)",
    "agencyDivisionCode": "(val)",
    "agencyProgramCode": "(val)",
    "programAnnouncementTitle": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "mailingAddressId": "(val)",
    "numberOfCopies": "(val)",
    "proposalStateTypeCode": "(val)",
    "creationStatusCode": "(val)",
    "submitFlag": "(val)",
    "hierarchyStatus": "(val)",
    "hierarchyOriginatingChildProposalNumber": "(val)",
    "hierarchyParentProposalNumber": "(val)",
    "hierarchyLastSyncHashCode": "(val)",
    "hierarchyBudgetType": "(val)",
    "proposalNumberForGG": "(val)",
    "opportunityIdForGG": "(val)",
    "agencyRoutingIdentifier": "(val)",
    "prevGrantsGovTrackingID": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "proposalNumber": "(val)",
    "proposalTypeCode": "(val)",
    "continuedFrom": "(val)",
    "sponsorCode": "(val)",
    "activityTypeCode": "(val)",
    "ownedByUnitNumber": "(val)",
    "requestedStartDateInitial": "(val)",
    "requestedEndDateInitial": "(val)",
    "title": "(val)",
    "currentAwardNumber": "(val)",
    "deadlineDate": "(val)",
    "deadlineTime": "(val)",
    "noticeOfOpportunityCode": "(val)",
    "deadlineType": "(val)",
    "anticipatedAwardTypeCode": "(val)",
    "cfdaNumber": "(val)",
    "programAnnouncementNumber": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorProposalNumber": "(val)",
    "nsfSequenceNumber": "(val)",
    "subcontracts": "(val)",
    "agencyDivisionCode": "(val)",
    "agencyProgramCode": "(val)",
    "programAnnouncementTitle": "(val)",
    "mailBy": "(val)",
    "mailType": "(val)",
    "mailAccountNumber": "(val)",
    "mailDescription": "(val)",
    "mailingAddressId": "(val)",
    "numberOfCopies": "(val)",
    "proposalStateTypeCode": "(val)",
    "creationStatusCode": "(val)",
    "submitFlag": "(val)",
    "hierarchyStatus": "(val)",
    "hierarchyOriginatingChildProposalNumber": "(val)",
    "hierarchyParentProposalNumber": "(val)",
    "hierarchyLastSyncHashCode": "(val)",
    "hierarchyBudgetType": "(val)",
    "proposalNumberForGG": "(val)",
    "opportunityIdForGG": "(val)",
    "agencyRoutingIdentifier": "(val)",
    "prevGrantsGovTrackingID": "(val)",
    "createTimestamp": "(val)",
    "createUser": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Development Proposals
GET/propdev/api/v1/development-proposals/

Example URI

GET /propdev/api/v1/development-proposals/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "proposalNumber",
    "proposalTypeCode",
    "continuedFrom",
    "sponsorCode",
    "activityTypeCode",
    "ownedByUnitNumber",
    "requestedStartDateInitial",
    "requestedEndDateInitial",
    "title",
    "currentAwardNumber",
    "deadlineDate",
    "deadlineTime",
    "noticeOfOpportunityCode",
    "deadlineType",
    "anticipatedAwardTypeCode",
    "cfdaNumber",
    "programAnnouncementNumber",
    "primeSponsorCode",
    "sponsorProposalNumber",
    "nsfSequenceNumber",
    "subcontracts",
    "agencyDivisionCode",
    "agencyProgramCode",
    "programAnnouncementTitle",
    "mailBy",
    "mailType",
    "mailAccountNumber",
    "mailDescription",
    "mailingAddressId",
    "numberOfCopies",
    "proposalStateTypeCode",
    "creationStatusCode",
    "submitFlag",
    "hierarchyStatus",
    "hierarchyOriginatingChildProposalNumber",
    "hierarchyParentProposalNumber",
    "hierarchyLastSyncHashCode",
    "hierarchyBudgetType",
    "proposalNumberForGG",
    "opportunityIdForGG",
    "agencyRoutingIdentifier",
    "prevGrantsGovTrackingID",
    "createTimestamp",
    "createUser"
  ],
  "primaryKey": "proposalNumber"
}

Get Blueprint API specification for Development Proposals
GET/propdev/api/v1/development-proposals/

Example URI

GET /propdev/api/v1/development-proposals/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Development Proposals.md"
transfer-encoding: chunked

Modular Budget Idcs

Get Modular Budget Idcs by Key
GET/propdev/api/v1/modular-budget-idcs/(key)

Example URI

GET /propdev/api/v1/modular-budget-idcs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Modular Budget Idcs
GET/propdev/api/v1/modular-budget-idcs/

Example URI

GET /propdev/api/v1/modular-budget-idcs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Modular Budget Idcs with Filtering
GET/propdev/api/v1/modular-budget-idcs/

Example URI

GET /propdev/api/v1/modular-budget-idcs/
URI Parameters
HideShow
budgetPeriodId
string (optional) 

Budget Period Id.

budgetPeriod
string (optional) 

Budget Period. Maximum length is 3.

rateNumber
string (optional) 

Rate Number. Maximum length is 3.

budgetId
string (optional) 

Budget Id.

description
string (optional) 

Description. Maximum length is 64.

idcRate
string (optional) 

IDC Rate. Maximum length is 7.

idcBase
string (optional) 

IDC Base. Maximum length is 15.

idcBaseUnrounded
string (optional) 

Idc Base Unrounded.

fundsRequested
string (optional) 

Funds Requested. Maximum length is 15.

startDate
string (optional) 

Start Date.

endDate
string (optional) 

End Date.

hierarchyProposalNumber
string (optional) 

Hierarchy Proposal Number.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Modular Budget Idcs
GET/propdev/api/v1/modular-budget-idcs/

Example URI

GET /propdev/api/v1/modular-budget-idcs/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "budgetPeriodId",
    "budgetPeriod",
    "rateNumber",
    "budgetId",
    "description",
    "idcRate",
    "idcBase",
    "idcBaseUnrounded",
    "fundsRequested",
    "startDate",
    "endDate",
    "hierarchyProposalNumber"
  ],
  "primaryKey": "budgetModular:budgetPeriodId:rateNumber"
}

Get Blueprint API specification for Modular Budget Idcs
GET/propdev/api/v1/modular-budget-idcs/

Example URI

GET /propdev/api/v1/modular-budget-idcs/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Modular Budget Idcs.md"
transfer-encoding: chunked

Update Modular Budget Idcs
PUT/propdev/api/v1/modular-budget-idcs/(key)

Example URI

PUT /propdev/api/v1/modular-budget-idcs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Modular Budget Idcs
PUT/propdev/api/v1/modular-budget-idcs/

Example URI

PUT /propdev/api/v1/modular-budget-idcs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "hierarchyProposalNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Modular Budget Idcs
PATCH/propdev/api/v1/modular-budget-idcs/(key)

Example URI

PATCH /propdev/api/v1/modular-budget-idcs/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Modular Budget Idcs
POST/propdev/api/v1/modular-budget-idcs/

Example URI

POST /propdev/api/v1/modular-budget-idcs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "budgetPeriodId": "(val)",
  "budgetPeriod": "(val)",
  "rateNumber": "(val)",
  "budgetId": "(val)",
  "description": "(val)",
  "idcRate": "(val)",
  "idcBase": "(val)",
  "idcBaseUnrounded": "(val)",
  "fundsRequested": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "hierarchyProposalNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Modular Budget Idcs
POST/propdev/api/v1/modular-budget-idcs/

Example URI

POST /propdev/api/v1/modular-budget-idcs/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "budgetPeriodId": "(val)",
    "budgetPeriod": "(val)",
    "rateNumber": "(val)",
    "budgetId": "(val)",
    "description": "(val)",
    "idcRate": "(val)",
    "idcBase": "(val)",
    "idcBaseUnrounded": "(val)",
    "fundsRequested": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
[...]
